%define majver %(echo %version | cut -d. -f 1-2)
Name:          GConf
Version:       3.2.6
Release:       4mamba
Summary:       The GConf package contains a configuration database system
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnome.org
# bugfixes: http://ftp.acc.umu.se/pub/GNOME/sources/%{pkgname}
Source:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{majver}/%{name}-%{version}.tar.xz
Patch0:        GConf-3.2.6-xml-gettext-domain.patch
Patch1:        GConf-3.2.6-reload.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libORBit2-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libe2fs-devel
BuildRequires: libglib-devel
BuildRequires: libkrb5-devel
BuildRequires: liblzma-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: libpolkit-devel
BuildRequires: libsasl2-devel
BuildRequires: libsystemd-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: pkgconfig
BuildRequires: gettext-devel
BuildRequires: ORBit2
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      ORBit2
Obsoletes:     gconf
Provides:      gconf = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The GConf package contains a configuration database system.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
The GConf package contains a configuration database system.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Summary:       Devel package for gconf
Group:         Development/Libraries
Requires:      libxml2-devel
Requires:      ORBit2-devel
Requires:      libglib-devel
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     gconf-devel
Provides:      gconf-devel = %{?epoch:%epoch:}%{version}-%{release}
Provides:      GConf-devel
Obsoletes:     GConf-devel

%description -n lib%{name}-devel
The GConf package contains a configuration database system.
This package contains static libraries and header files need for development.

%package apidocs
Summary:       %{pkgname} API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
%{pkgname} API documentation.

%debug_package

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure \
   --libexecdir=%{_sbindir} \
   --sysconfdir=%{_sysconfdir} \
   --with-gtk=2.0

#   --enable-gtk-doc \

%make -j1
%make -j1 check

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

for dir in gconf.xml.defaults/{apps,schemas,system}; do
   install -d -m755 \
      %{buildroot}%{_sysconfdir}/gconf/$dir
done
install -d -m755 \
   %{buildroot}%{_sysconfdir}/gconf/gconf.xml.mandatory
install -d -m755 \
   %{buildroot}%{_sysconfdir}/gconf/gconf.xml.system

%find_lang GConf2

# fix file permissions
find %{buildroot}%{_sysconfdir} -type d | xargs chmod 755

# remove unpackaged files
rm -f %{buildroot}%{_libdir}/GConf/%{apiversion}/*.a

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%posttrans
currlink=`readlink %{_sysconfdir}/gnome/gconf`
[ "$currlink" = "../gconf" ] && exit 0
[ "$currlink" = "%{_sysconfdir}/gnome/gconf" ] && {
   cp -a %{_sysconfdir}/gnome/gconf %{_sysconfdir} || exit 1
   rm -rf %{_sysconfdir}/gnome/gconf
   ln -s ../gconf %{_sysconfdir}/gnome/gconf
}
exit 0

%files -f GConf2.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/gconf
%dir %{_sysconfdir}/gconf/gconf.xml.defaults
%dir %{_sysconfdir}/gconf/gconf.xml.defaults/apps
%dir %{_sysconfdir}/gconf/gconf.xml.defaults/schemas
%dir %{_sysconfdir}/gconf/gconf.xml.defaults/system
%dir %{_sysconfdir}/gconf/gconf.xml.mandatory
%dir %{_sysconfdir}/gconf/gconf.xml.system
%config(noreplace) %{_sysconfdir}/gconf/2/path
%config(noreplace) %{_sysconfdir}/gconf/2/evoldap.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.gnome.GConf.Defaults.conf
%{_sysconfdir}/xdg/autostart/gsettings-data-convert.desktop
%dir %{_sysconfdir}/gconf/2
%{_bindir}/gconftool*
%{_bindir}/gconf-merge-tree
%{_bindir}/gsettings-*
%{_sbindir}/*
%{_datadir}/GConf/schema/evoldap.schema
%{_datadir}/polkit-1/actions/org.gnome.gconf.defaults.policy
%{_datadir}/dbus-1/services/org.gnome.GConf.service
%{_datadir}/dbus-1/system-services/org.gnome.GConf.Defaults.service
%{_datadir}/sgml/gconf/gconf-1.0.dtd
%{_mandir}/man1/*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/GConf/2/libgconfbackend-evoldap.a
%{_libdir}/GConf/2/libgconfbackend-evoldap.so
%{_libdir}/GConf/2/libgconfbackend-oldxml.a
%{_libdir}/GConf/2/libgconfbackend-oldxml.so
%{_libdir}/GConf/2/libgconfbackend-xml.a
%{_libdir}/GConf/2/libgconfbackend-xml.so
%{_libdir}/girepository-1.0/GConf-2.0.typelib

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_datadir}/aclocal/*
%{_includedir}/gconf/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/GConf/2/*.la
%{_libdir}/pkgconfig/*.pc
%{_libdir}/gio/modules/libgsettingsgconfbackend.*
%{_datadir}/gir-1.0/GConf-2.0.gir

%files apidocs
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/gconf/*

%changelog
* Tue Dec 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.6-4mamba
- rebuilt with debug package and patch from Fedora to reload after installing schemas

* Fri Apr 11 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.6-3mamba
- move library to libGConf package and rename GConf-devel to libGConf-devel

* Tue Aug 06 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.6-2mamba
- gir typelib file moved from devel to main package

* Thu Jan 24 2013 Automatic Build System <autodist@mambasoft.it> 3.2.6-1mamba
- automatic version update by autodist

* Mon Mar 12 2012 Automatic Build System <autodist@mambasoft.it> 3.2.5-1mamba
- update to 3.2.5

* Mon Oct 31 2011 Automatic Build System <autodist@mambasoft.it> 3.2.3-1mamba
- automatic version update by autodist

* Wed Oct 26 2011 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic version update by autodist

* Wed Sep 28 2011 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Fri Jul 01 2011 Automatic Build System <autodist@mambasoft.it> 2.32.5-1mamba
- automatic update by autodist

* Thu Jun 16 2011 Automatic Build System <autodist@mambasoft.it> 2.32.4-1mamba
- automatic update by autodist

* Tue May 03 2011 Automatic Build System <autodist@mambasoft.it> 2.32.3-1mamba
- automatic update by autodist

* Tue Apr 05 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.32.2-2mamba
- force build against gtk2; when it's gtk3 time GConf will be replaced by dconf

* Mon Apr 04 2011 Automatic Build System <autodist@mambasoft.it> 2.32.2-1mamba
- automatic update by autodist

* Mon Jan 31 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.32.1-2mamba
- fix posttrans script

* Mon Dec 06 2010 Automatic Build System <autodist@mambasoft.it> 2.32.1-1mamba
- automatic update to 2.32.1 by autodist

* Mon Oct 04 2010 Automatic Build System <autodist@mambasoft.it> 2.32.0-1mamba
- automatic update by autodist

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 2.28.1-2mamba
- automatic rebuild by autodist

* Wed Apr 14 2010 Automatic Build System <autodist@mambasoft.it> 2.28.1-1mamba
- automatic update by autodist

* Mon Oct 12 2009 Automatic Build System <autodist@mambasoft.it> 2.28.0-1mamba
- automatic update to 2.28.0 by autodist

* Sun Jul 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.2-2mamba
- create /etc/gconf/gconf.xml.system with 755 permissions

* Fri May 29 2009 Automatic Build System <autodist@mambasoft.it> 2.26.2-1mamba
- automatic update by autodist

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 2.24.0-2mamba
- automatic rebuild by autodist

* Sat Oct 04 2008 gil <puntogil@libero.it> 2.24.0-1mamba
- update to 2.24.0

* Fri Sep 21 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20.0-1mamba
- update to 2.20.0
- fixed posttrans script for moving confdir location

* Mon Sep 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.18.0.1-1mamba
- update to 2.18.0.1
- moved confdir to default location (/etc/gconf) and made symlink to /etc/gnome/gconf

* Fri Jan 05 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.14.0-2qilnx
- new subpackage apidocs with API documentation

* Thu Jan 04 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.14.0-1qilnx
- update to version 2.14.0 by autospec

* Mon Jun 19 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.12.1-2qilnx
- fixed permissions of /gconf/gconf.xml.defaults
- own /gconf/gconf.xml.defaults and /gconf/gconf.xml.mandatory directories

* Mon Mar 13 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.12.1-1qilnx
- update to version 2.12.1 by autospec
- fixed permissions in some directories

* Fri Oct 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.12.0-1qilnx
- update to version 2.12.0 by autospec
- gtk-doc documentation moved to the devel package

* Tue Aug 09 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.1-1qilnx
- update to version 2.10.1 by autospec

* Mon Aug 16 2004 Silvan Calarco <silvan.calarco@qinet.it> 2.6.3-1qilnx
- new version build

* Sun Feb 29 2004 Silvan Calarco <silvan.calarco@qinet.it> 2.4.0.1-1qilnx
- new version rebuild

* Thu Jul 24 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.3.3-1qilnx
- first build of gconf
